
Nirva Application Platform - Bug #75

Wrong encoding of filename on upload by the browser

09/03/2012 03:25 PM - Lionel Martin

Status: Closed Start date: 09/03/2012

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 100%

Category: Application Platform Estimated time: 0.00 hour

Target version: 4.7.005   

Operating System: Any Tested: Yes

Version: 4.7.004   

Description

When uploading a file with the browser, the filename is not transcoded correctly sometimes.

The attached application package allows to reproduce the problem using the attached file.

Use a browser to go the bug_20120829.htm page of the application (http://localhost:1081/nv_app_BUG/bug_20120829.htm). This

page displays 6 frames allowing to have all combinations of encoding regarding the page itself (ISO-8859-1 or UTF-8) and the

encoding detection of the Nirva server (NV_FORM_ENCODING=AUTO, ISO-8859-1 or UTF-8). On the left, the frames are

ISO-8859-1 encoded. On the right, they are UTF-8 encoded.

One frame has a text field, to check that Nirva server correctly handles transcoding for "normal" HTML fields.

When uploading the attached file Méditérannée.txt, we can see that the NV_FORM_ENCODING parameter does not affect the

extracted name of the file by Nirva (stored in ORIGIN field of the Nirva FILE object). In ISO-8859-1 frames, it is always good. In

UTF-8 frames, it is always wrong.

The field is always correctly handled by Nirva.

The problem has been verified on Linux 32bits, and Windows 32 and 64 bits.

History

#1 - 09/03/2012 03:26 PM - Lionel Martin

- Description updated

I forgot to mention that

#2 - 09/06/2012 10:19 AM - Pierre Marc

- Category set to Application Platform

- Status changed from New to Resolved

- Assignee set to Pierre Marc

- Target version set to 4.7.005

- % Done changed from 0 to 100

- Tested changed from No to Yes

This is a bug in the decoding of the source filename. THis will be corrected in v4.7.005.

#3 - 09/17/2012 03:46 PM - Pierre Marc

- Status changed from Resolved to Closed

Files

nirva_app_BUG_20120829.pkg 2.2 KB 09/03/2012 Lionel Martin

Méditerranée.txt 20 Bytes 09/03/2012 Lionel Martin
